From 8ba68225e9ad35958197aacc03a7a1716741b14c Mon Sep 17 00:00:00 2001
From: Gilles Dartiguelongue <eva@gentoo.org>
Date: Sun, 19 Oct 2014 19:37:40 +0200
Subject: [PATCH 1/4] Fix support for HPPA

Debian patches to fix support for some arches
https://bugs.webkit.org/show_bug.cgi?id=129540
---
 Source/WTF/wtf/Platform.h | 9 +++++++++
 1 file changed, 9 insertions(+)

diff --git a/Source/WTF/wtf/Platform.h b/Source/WTF/wtf/Platform.h
index 7712ddb..65f1379 100644
--- a/Source/WTF/wtf/Platform.h
+++ b/Source/WTF/wtf/Platform.h
@@ -71,6 +71,15 @@
 #define WTF_CPU_BIG_ENDIAN 1
 #endif
 
+/* CPU(HPPA) - HP PARISC */
+#if defined(__hppa__)
+#define WTF_CPU_HPPA 1
+#define WTF_CPU_BIG_ENDIAN 1
+#define ENABLE_JIT 0
+#define ENABLE_YARR_JIT 0
+#define ENABLE_ASSEMBLER 0
+#endif
+
 /* CPU(IA64) - Itanium / IA-64 */
 #if defined(__ia64__)
 #define WTF_CPU_IA64 1
-- 
2.1.2

